<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Wed Feb 23 15:53:23 PST 2005 -->
<TITLE>
: Class  SequenceDefinitionImpl
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SequenceDefinitionImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/QueryDefinitionImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SQLSyntaxDefinitionImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SequenceDefinitionImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.dbdefinition.impl</FONT>
<BR>
Class  SequenceDefinitionImpl</H2>
<PRE>
java.lang.Object
  |
  +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
        |
        +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
              |
              +--org.eclipse.emf.ecore.impl.EObjectImpl
                    |
                    +--<B>org.eclipse.wst.rdb.internal.models.dbdefinition.impl.SequenceDefinitionImpl</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></DD>
</DL>
<HR>
<DL>
<DT>public class <B>SequenceDefinitionImpl</B><DT>extends org.eclipse.emf.ecore.impl.EObjectImpl<DT>implements <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></DL>

<P>
<!-- begin-user-doc -->
 An implementation of the model object '<em><b>Sequence Definition</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 <ul>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#getPredefinedDataTypeDefinitions()"><CODE><em>Predefined Data Type Definitions</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#getDefaultDataTypeDefinition()"><CODE><em>Default Data Type Definition</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#isTypeEnumerationSupported()"><CODE><em>Type Enumeration Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#isCacheSupported()"><CODE><em>Cache Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#isOrderSupported()"><CODE><em>Order Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#getNoMaximumValueString()"><CODE><em>No Maximum Value String</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#getNoMinimumValueString()"><CODE><em>No Minimum Value String</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#getNoCacheString()"><CODE><em>No Cache String</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#getCacheDefaultValue()"><CODE><em>Cache Default Value</em></CODE></A></li>
 </ul>
 </p>
<P>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->

<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.ecore.InternalEObject.EStore</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>ELAST_EOBJECT_FLAG</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>EOPPOSITE_FEATURE_BASE</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html">PredefinedDataTypeDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#basicGetDefaultDataTypeDefinition()">basicGetDefaultDataTypeDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#eGet(org.eclipse.emf.ecore.EStructuralFeature, boolean)">eGet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
     boolean&nbsp;resolve)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#eIsSet(org.eclipse.emf.ecore.EStructuralFeature)">eIsSet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#eSet(org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object)">eSet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
     java.lang.Object&nbsp;newValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#eUnset(org.eclipse.emf.ecore.EStructuralFeature)">eUnset</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#getCacheDefaultValue()">getCacheDefaultValue</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html">PredefinedDataTypeDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#getDefaultDataTypeDefinition()">getDefaultDataTypeDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#getNoCacheString()">getNoCacheString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#getNoMaximumValueString()">getNoMaximumValueString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#getNoMinimumValueString()">getNoMinimumValueString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#getPredefinedDataTypeDefinitions()">getPredefinedDataTypeDefinitions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#isCacheSupported()">isCacheSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#isOrderSupported()">isOrderSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#isTypeEnumerationSupported()">isTypeEnumerationSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#setCacheDefaultValue(int)">setCacheDefaultValue</A></B>(int&nbsp;newCacheDefaultValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#setCacheSupported(boolean)">setCacheSupported</A></B>(boolean&nbsp;newCacheSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#setDefaultDataTypeDefinition(org.eclipse.wst.rdb.internal.models.dbdefinition.PredefinedDataTypeDefinition)">setDefaultDataTypeDefinition</A></B>(<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html">PredefinedDataTypeDefinition</A>&nbsp;newDefaultDataTypeDefinition)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#setNoCacheString(java.lang.String)">setNoCacheString</A></B>(java.lang.String&nbsp;newNoCacheString)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#setNoMaximumValueString(java.lang.String)">setNoMaximumValueString</A></B>(java.lang.String&nbsp;newNoMaximumValueString)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#setNoMinimumValueString(java.lang.String)">setNoMinimumValueString</A></B>(java.lang.String&nbsp;newNoMinimumValueString)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#setOrderSupported(boolean)">setOrderSupported</A></B>(boolean&nbsp;newOrderSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#setTypeEnumerationSupported(boolean)">setTypeEnumerationSupported</A></B>(boolean&nbsp;newTypeEnumerationSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SequenceDefinitionImpl.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eClass, eContainerFeatureID, eDeliver, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.BasicEObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eInternalResource, eInverseAdd, eInverseRemove, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eStore, eURIFragmentSegment</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired, eNotify</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getPredefinedDataTypeDefinitions()"><!-- --></A><H3>
getPredefinedDataTypeDefinitions</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getPredefinedDataTypeDefinitions</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#getPredefinedDataTypeDefinitions()">getPredefinedDataTypeDefinitions</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Predefined Data Type Definitions</em>' reference list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getSequenceDefinition_PredefinedDataTypeDefinitions()"><CODE>DatabaseDefinitionPackage.getSequenceDefinition_PredefinedDataTypeDefinitions()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isTypeEnumerationSupported()"><!-- --></A><H3>
isTypeEnumerationSupported</H3>
<PRE>
public boolean <B>isTypeEnumerationSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#isTypeEnumerationSupported()">isTypeEnumerationSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Type Enumeration Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setTypeEnumerationSupported(boolean)"><CODE>SequenceDefinition.setTypeEnumerationSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getSequenceDefinition_TypeEnumerationSupported()"><CODE>DatabaseDefinitionPackage.getSequenceDefinition_TypeEnumerationSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setTypeEnumerationSupported(boolean)"><!-- --></A><H3>
setTypeEnumerationSupported</H3>
<PRE>
public void <B>setTypeEnumerationSupported</B>(boolean&nbsp;newTypeEnumerationSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setTypeEnumerationSupported(boolean)">setTypeEnumerationSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Type Enumeration Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#isTypeEnumerationSupported()"><CODE>SequenceDefinition.isTypeEnumerationSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isCacheSupported()"><!-- --></A><H3>
isCacheSupported</H3>
<PRE>
public boolean <B>isCacheSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#isCacheSupported()">isCacheSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Cache Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setCacheSupported(boolean)"><CODE>SequenceDefinition.setCacheSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getSequenceDefinition_CacheSupported()"><CODE>DatabaseDefinitionPackage.getSequenceDefinition_CacheSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setCacheSupported(boolean)"><!-- --></A><H3>
setCacheSupported</H3>
<PRE>
public void <B>setCacheSupported</B>(boolean&nbsp;newCacheSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setCacheSupported(boolean)">setCacheSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Cache Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#isCacheSupported()"><CODE>SequenceDefinition.isCacheSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isOrderSupported()"><!-- --></A><H3>
isOrderSupported</H3>
<PRE>
public boolean <B>isOrderSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#isOrderSupported()">isOrderSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Order Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setOrderSupported(boolean)"><CODE>SequenceDefinition.setOrderSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getSequenceDefinition_OrderSupported()"><CODE>DatabaseDefinitionPackage.getSequenceDefinition_OrderSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setOrderSupported(boolean)"><!-- --></A><H3>
setOrderSupported</H3>
<PRE>
public void <B>setOrderSupported</B>(boolean&nbsp;newOrderSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setOrderSupported(boolean)">setOrderSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Order Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#isOrderSupported()"><CODE>SequenceDefinition.isOrderSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getNoMaximumValueString()"><!-- --></A><H3>
getNoMaximumValueString</H3>
<PRE>
public java.lang.String <B>getNoMaximumValueString</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#getNoMaximumValueString()">getNoMaximumValueString</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>No Maximum Value String</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setNoMaximumValueString(java.lang.String)"><CODE>SequenceDefinition.setNoMaximumValueString(String)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getSequenceDefinition_NoMaximumValueString()"><CODE>DatabaseDefinitionPackage.getSequenceDefinition_NoMaximumValueString()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setNoMaximumValueString(java.lang.String)"><!-- --></A><H3>
setNoMaximumValueString</H3>
<PRE>
public void <B>setNoMaximumValueString</B>(java.lang.String&nbsp;newNoMaximumValueString)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setNoMaximumValueString(java.lang.String)">setNoMaximumValueString</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>No Maximum Value String</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#getNoMaximumValueString()"><CODE>SequenceDefinition.getNoMaximumValueString()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getNoMinimumValueString()"><!-- --></A><H3>
getNoMinimumValueString</H3>
<PRE>
public java.lang.String <B>getNoMinimumValueString</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#getNoMinimumValueString()">getNoMinimumValueString</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>No Minimum Value String</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setNoMinimumValueString(java.lang.String)"><CODE>SequenceDefinition.setNoMinimumValueString(String)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getSequenceDefinition_NoMinimumValueString()"><CODE>DatabaseDefinitionPackage.getSequenceDefinition_NoMinimumValueString()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setNoMinimumValueString(java.lang.String)"><!-- --></A><H3>
setNoMinimumValueString</H3>
<PRE>
public void <B>setNoMinimumValueString</B>(java.lang.String&nbsp;newNoMinimumValueString)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setNoMinimumValueString(java.lang.String)">setNoMinimumValueString</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>No Minimum Value String</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#getNoMinimumValueString()"><CODE>SequenceDefinition.getNoMinimumValueString()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getNoCacheString()"><!-- --></A><H3>
getNoCacheString</H3>
<PRE>
public java.lang.String <B>getNoCacheString</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#getNoCacheString()">getNoCacheString</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>No Cache String</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setNoCacheString(java.lang.String)"><CODE>SequenceDefinition.setNoCacheString(String)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getSequenceDefinition_NoCacheString()"><CODE>DatabaseDefinitionPackage.getSequenceDefinition_NoCacheString()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setNoCacheString(java.lang.String)"><!-- --></A><H3>
setNoCacheString</H3>
<PRE>
public void <B>setNoCacheString</B>(java.lang.String&nbsp;newNoCacheString)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setNoCacheString(java.lang.String)">setNoCacheString</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>No Cache String</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#getNoCacheString()"><CODE>SequenceDefinition.getNoCacheString()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getCacheDefaultValue()"><!-- --></A><H3>
getCacheDefaultValue</H3>
<PRE>
public int <B>getCacheDefaultValue</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#getCacheDefaultValue()">getCacheDefaultValue</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Cache Default Value</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setCacheDefaultValue(int)"><CODE>SequenceDefinition.setCacheDefaultValue(int)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getSequenceDefinition_CacheDefaultValue()"><CODE>DatabaseDefinitionPackage.getSequenceDefinition_CacheDefaultValue()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setCacheDefaultValue(int)"><!-- --></A><H3>
setCacheDefaultValue</H3>
<PRE>
public void <B>setCacheDefaultValue</B>(int&nbsp;newCacheDefaultValue)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setCacheDefaultValue(int)">setCacheDefaultValue</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Cache Default Value</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#getCacheDefaultValue()"><CODE>SequenceDefinition.getCacheDefaultValue()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getDefaultDataTypeDefinition()"><!-- --></A><H3>
getDefaultDataTypeDefinition</H3>
<PRE>
public <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html">PredefinedDataTypeDefinition</A> <B>getDefaultDataTypeDefinition</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#getDefaultDataTypeDefinition()">getDefaultDataTypeDefinition</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Default Data Type Definition</em>' reference.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setDefaultDataTypeDefinition(org.eclipse.wst.rdb.internal.models.dbdefinition.PredefinedDataTypeDefinition)"><CODE>SequenceDefinition.setDefaultDataTypeDefinition(PredefinedDataTypeDefinition)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getSequenceDefinition_DefaultDataTypeDefinition()"><CODE>DatabaseDefinitionPackage.getSequenceDefinition_DefaultDataTypeDefinition()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="basicGetDefaultDataTypeDefinition()"><!-- --></A><H3>
basicGetDefaultDataTypeDefinition</H3>
<PRE>
public <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html">PredefinedDataTypeDefinition</A> <B>basicGetDefaultDataTypeDefinition</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setDefaultDataTypeDefinition(org.eclipse.wst.rdb.internal.models.dbdefinition.PredefinedDataTypeDefinition)"><!-- --></A><H3>
setDefaultDataTypeDefinition</H3>
<PRE>
public void <B>setDefaultDataTypeDefinition</B>(<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html">PredefinedDataTypeDefinition</A>&nbsp;newDefaultDataTypeDefinition)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#setDefaultDataTypeDefinition(org.eclipse.wst.rdb.internal.models.dbdefinition.PredefinedDataTypeDefinition)">setDefaultDataTypeDefinition</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.SequenceDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Default Data Type Definition</em>' reference.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html#getDefaultDataTypeDefinition()"><CODE>SequenceDefinition.getDefaultDataTypeDefinition()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="eGet(org.eclipse.emf.ecore.EStructuralFeature, boolean)"><!-- --></A><H3>
eGet</H3>
<PRE>
public java.lang.Object <B>eGet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
                             boolean&nbsp;resolve)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eGet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eGet</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eSet(org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object)"><!-- --></A><H3>
eSet</H3>
<PRE>
public void <B>eSet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
                 java.lang.Object&nbsp;newValue)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eSet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eSet</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eUnset(org.eclipse.emf.ecore.EStructuralFeature)"><!-- --></A><H3>
eUnset</H3>
<PRE>
public void <B>eUnset</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eUnset</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eUnset</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eIsSet(org.eclipse.emf.ecore.EStructuralFeature)"><!-- --></A><H3>
eIsSet</H3>
<PRE>
public boolean <B>eIsSet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eIsSet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eIsSet</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SequenceDefinitionImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/QueryDefinitionImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SQLSyntaxDefinitionImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SequenceDefinitionImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
